textures/styx/sky {
	qer_editorimage textures/styx/sub/5wjs_up.jpg
	
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	q3map_sunExt 0.878874 0.983185 1 100 180 55 3 12
	q3map_lightmapFilterRadius	0 8
	q3map_skyLight	165 5 
	
	skyparms textures/styx/sub/5wjs - -
	
}

textures/styx/water
{
	qer_editorimage textures/styx/sub/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	
	q3map_lightRGB 0.878874 0.983185 1
    q3map_surfacelight 128
    q3map_backSplash 2 50
    q3map_lightSubdivide 64
	
	deformVertexes wave 64 sin .5 .5 0 .5
	{
		map textures/styx/sub/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/styx/sub/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/styx/sub/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/styx/icy
{
	qer_trans 0.80
	qer_editorimage textures/styx/sub/ice.tga

	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	tessSize 256

	{
		map textures/styx/sub/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/styx/sub/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/styx/tp
{
	qer_editorimage textures/styx/sub/tp_blue.tga
	surfaceparm nodamage
    surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 500
	{
		map textures/styx/sub/battery_clouds.tga
		blendfunc add
		rgbGen wave sin 0.5 0.4 0 0.025 
		tcMod scale 0.5 0.5
		alphaGen const 0.5
	}
	{
		map textures/styx/sub/battery_clouds.tga
		blendfunc filter
		rgbGen const ( 0 0.3 0.6 )
		alphaGen const 0.5
		tcMod scroll 0.01 0.015
		tcMod scale 0.5 0.5
	}
	{
   	    map textures/styx/sub/tp_blue.tga
   		blendFunc GL_ONE GL_ZERO
    	rgbGen identity //vertex
    	tcGen environment
	}
}